2008-05-28 09:43 - Sepp _

Status: Closed Start date: 2008-05-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    
Description

Feature: It should be possible to set a comment of an issue as "done".

When discussing issues, we often define a more detailed worktask aftera issue has already been filed.

it would be nice to set an comment as "done", so that other readers of the bug know more about the state and know, which part of

the issue is already resolved, when it has ~50%

History

#1 - 2008-05-28 10:24 - Maxim Krušina

Hi, what's stopping you to write comment "done" in the right time?

Adding functionality to add note "done" when task is in cca 50% doesnt make so much sense.

Anyway, when you change ticket state, there is always automatic note on change state in comments history, so it's practically whar you want, isn't it?

It looks like this:

 Status changed from New to Resolved

#2 - 2008-05-28 11:55 - Sepp _

But when you only solved 50% of an issue, how do you tell someone who newly reads the issue, which 50% are solved, and witch needs to be

worked on?

I idea was to say: "You don't have to read and understand comment #1, because it is already fixed. But you need to read comment #2 and #3 to solve

the last 50%".

Does it now make more sense ;-)?

#3 - 2008-05-28 14:48 - Maxim Krušina

I guess I understand... actually you are suggesting something like "subtasking"... IMHO it's much more better to stick to current sollution, so you

create three independent issues, which you can link by dependencies, category or so. Implementing logic you are sugesting will create much

complicated logic - you will understand this logic well, but for most of users it will became overcomplicated.

One of best things on Redmine is, that it's really straightforward and self-explaining application, so almost everybody will understand how it works

without any fat books etc... it this way (and in lot of other ways ;) Redmine really rocks!

#4 - 2008-06-17 22:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

I agree with Maxim. See request #443 about subtasking.

#5 - 2008-06-17 22:53 - Jean-Philippe Lang

Optionnaly, you can also edit the note and add something like this:

DONE
